barrier.h(3)

NAME
barrier.h

SYNOPSIS

#include <Inventor/C/basic.h>
#include <Inventor/C/threads/common.h>

  Functions
cc_barrier * cc_barrier_construct (unsigned int numthreads)
void cc_barrier_destruct (cc_barrier *barrier)
int cc_barrier_enter (cc_barrier *barrier)

Function Documentation

  cc_barrier * cc_barrier_construct (unsigned int count)
Constructs a new thread barrier.

  void cc_barrier_destruct (cc_barrier * barrier)
Destroys the barrier thread barrier.

  int cc_barrier_enter (cc_barrier * barrier)
Increments the barrier counter. If equal to the number of threads it then enables all the threads to proceed.

Author

Generated automatically by Doxygen for Coin from the source code.